import {
  ProjectPageParams,
  ListGetResultModel,
  ProjectModel,
  ListItem,
} from './model/biddingManagementModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/tenderManager/page',
  tendermanageGetList = '/pro/reportCenter/tendermanage',
  AddProject = '/pro/tenderManager/add',
  UpdateProject = '/pro/tenderManager/update',
  DeleteProject = '/pro/tenderManager/del',
  ProjectDetail = '/pro/tenderManager/details',
  selectCount = '/pro/tenderManager/selectCount',
  audit = '/pro/tenderManager/examine',
  GetListAll = '/pro/tenderManager/selectAll',
  ExportCount = '/pro/export/tendMangeStatistic',
  GetMothCycelDetails = '/pro/tenderManager/details',
  MothCycelEdit = '/pro/tenderManager/edit',
  EditStatus = '/pro/tenderManager/editStatus',
  BusinessComDetails = '/pro/tenderManager/businessComDetails',
}
// 详情表单
export const getTenderManagerFillComDetails = (params?: any) =>
    defHttp.post<any>({
        url: Api.BusinessComDetails,
        params,
    });
// 修改编辑状态
export const SetTenderManagerEditStatus = (params?: any) =>
    defHttp.post<any>({
        url: Api.EditStatus,
        params,
    });
// 修改搜索参数
export const SetTenderManagerMothCycelEdit = (params?: any) =>
    defHttp.post<any>({
        url: Api.MothCycelEdit,
        params,
    });
// 查询周期详情
export const getTenderManagerMothCycel = (params?: any) =>
    defHttp.post<any>({
        url: Api.GetMothCycelDetails,
        params,
    });
export const getListByPage = (params?: ProjectPageParams) =>
  defHttp.post<ListGetResultModel>({ url: Api.GetList, data: params });

export const tendermanageGetListByPage = (params?: ProjectPageParams) =>
    defHttp.post<ListGetResultModel>({ url: Api.tendermanageGetList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const deleteItem = (params?: any) =>
  defHttp.get<ProjectModel>({ url: Api.DeleteProject, params });


export const getItem = (params?: any) =>
  defHttp.get<ListItem[]>({ url: Api.ProjectDetail, params });
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.audit,
    data: params,
  });

export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    data: params,
  });

export const getListAll = (params?: any) =>
    defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });

export const exportStatisticList = (params?: any) =>
    defHttp.post<any>(
        {
            url: Api.ExportCount,
            data: params,
            responseType: 'blob',
        },
        { errorMessageMode: 'none', isTransformResponse: false },
    );
