import { ProjectParams, ProjectListGetResultModel, ProjectModel } from './model/projectModel';
import { defHttp } from '@/utils/http/axios';
import { ListItem, ProjectPageParams } from '@/api/project/model/biddingPlanModel';

enum Api {
  GetList = '/pro/overdueFunds/getList',
  GetCompletedList = '/pro/reportCenter/overdueFunds',
  GetCompletedProjectList = '/pro/overdueFunds/getProject',
  AddCompletedProject = '/pro/overdueFunds/add',
  UpdateProject = '/pro/overdueFunds/edit',
  ProjectDetail = '/pro/overdueFunds/getById',
  DeleteProject = '/pro/overdueFunds/delete',
  auditProject = '/pro/overdueFunds/audit',
  GetCompletedDetail = '/pro/reportCenter/details/overdueFunds',
  selectCount = '/pro/overdueFunds/selectCount',
  GetListAll = '/pro/overdueFunds/getListAll',
  getStatisticDetails = '/pro/overdueFunds/getDetails',
  exportOverDueFundsCompeleted = '/pro/export/overDueFundsCompleted',
  exportOverDueFundsPlan = '/pro/export/overDueFundsPlan',
  GetMothCycelDetails = '/pro/overdueFunds/details',
  MothCycelEdit = '/pro/overdueFunds/editCycle',
  EditStatus = '/pro/overdueFunds/editStatus',
  BusinessComDetails = '/pro/overdueFunds/businessComDetails',
}
// 详情表单
export const getOverdueFundsFillComDetails = (params?: any) =>
    defHttp.post<any>({
        url: Api.BusinessComDetails,
        params,
    });
// 修改编辑状态
export const SetOverdueFundsEditStatus = (params?: any) =>
    defHttp.post<any>({
        url: Api.EditStatus,
        params,
    });
// 修改搜索参数
export const SetOverdueFundsMothCycelEdit = (params?: any) =>
    defHttp.post<any>({
        url: Api.MothCycelEdit,
        params,
    });
// 查询周期详情
export const getOverdueFundsMothCycel = (params?: any) =>
    defHttp.post<any>({
        url: Api.GetMothCycelDetails,
        params,
    });
export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    params,
  });

export const getCompletedList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });
export const getListAll = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });
export const getCompletedTotalList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetCompletedList, data: params });
export const getStatisticDetails = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.getStatisticDetails, data: params });
export const getCompletedProjectList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetCompletedProjectList, data: params });

export const addItem = (params?: ProjectPageParams) =>
  defHttp.post<ProjectModel>({
    url: Api.AddCompletedProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getItem = (params?: any) =>
  defHttp.get<ListItem[]>({ url: Api.ProjectDetail, params });

export const auditItem = (params?: any) =>
  defHttp.post<ListItem[]>({ url: Api.auditProject, params });

// 查看已竣工验收项目陈欠资金计划详情
export const getCompletedDetail = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.GetCompletedDetail, data: params });

export const exportOverDueFundsCompeleted = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.exportOverDueFundsCompeleted,
      data: params,
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
export const exportOverDueFundsPlan = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.exportOverDueFundsPlan,
      data: params,
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
