// import { ProjectParams, ProjectListGetResultModel, ProjectModel } from './model/projectModel';
import { ProjectParams, ProjectModel } from './model/settlementManageModel';

import { defHttp } from '@/utils/http/axios';

enum Api {
  //查询list
  GetList = '/pro/reportCenter/settlement/list',
  //结算管理查询List集合
  GetListPage = '/pro/settlement/page',
  //新增接口
  Add = '/pro/settlement/add',
  //根据id查询详情
  GetItem = '/pro/settlement/findById',
  //修改接口
  update = '/pro/settlement/update-settlement',
  //根据id删除
  deleteItem = '/pro/settlement/byid-del',
  //审核接口
  audit = '/pro/settlement/byId-examine',
  //删除列表接口
  deleteList = '/pro/settlement/del',
    //查询部门列表
  getDepartmentList = '/pro/sys/sysDeptId',
    // 查询季度是否已经存在
    isSettlement = '/pro/settlement/is-settlement',
  GetListAll = '/pro/settlement/listAll',
  ExportCount= '/pro/export/settlementManagementStatistic',
  GetMothCycelDetails = '/pro/settlement/details',
  MothCycelEdit = '/pro/settlement/edit',
  EditStatus = '/pro/settlement/editStatus',
  BusinessComDetails = '/pro/settlement/businessComDetails',
}
// 详情表单
export const getSettlementFillComDetails = (params?: any) =>
    defHttp.post<any>({
        url: Api.BusinessComDetails,
        params,
    });
// 修改编辑状态
export const SetSettlementEditStatus = (params?: any) =>
    defHttp.post<any>({
        url: Api.EditStatus,
        params,
    });
// 修改搜索参数
export const SetSettlementMothCycelEdit = (params?: any) =>
    defHttp.post<any>({
        url: Api.MothCycelEdit,
        params,
    });
// 查询周期详情
export const getSettlementMothCycel = (params?: any) =>
    defHttp.post<any>({
        url: Api.GetMothCycelDetails,
        params,
    });
export const getSettlementManageList = (params?: ProjectParams) =>
  defHttp.post<ProjectParams>({ url: Api.GetList, data: params });

export  const  getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectParams>({ url: Api.GetListPage, data: params });

export const addItems = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.Add,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
//根据id查询详情
export const getItem = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.GetItem,
    params,
  });

/**
 * 修改
 */
export const updateItem = (params?: any) =>
  defHttp.post <ProjectModel>(
      {
    url: Api.update,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

/**
 *  根据id删除
 */
export const deleteOne = (params?: any) =>
  defHttp.delete<ProjectModel>({
    url: Api.deleteItem,
    params,
  });

/**
 *  审核接口
 */
export const auditItem = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.audit,
    params,
  });

/**
 * deleteList
 */
export const deleteList = (params?: any) =>
  defHttp.delete<ProjectModel>({
    url: Api.deleteList,
    params,
  });

export  const  getDepartmentList = () =>
  defHttp.post<ProjectModel>({
    url: Api.getDepartmentList,
  });

export  const  isSettlement = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.isSettlement,
    params,
  });
export const getListAll = (params?: any) =>
    defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });

export const exportStatisticList = (params?: any) =>
    defHttp.post<any>(
        {
            url: Api.ExportCount,
            data: params,
            responseType: 'blob',
        },
        { errorMessageMode: 'none', isTransformResponse: false },
    );
