import { defHttp } from '@/utils/http/axios';

enum Api {
  GetPageList = '/pro/tenderYearManage/page',
  AddProject = '/pro/tenderYearManage/add',
  UpdateProject = '/pro/tenderYearManage/edit',
  DeleteProject = '/pro/tenderYearManage/del',
  ProjectDetail = '/pro/tenderYearManage/details',
  Audit = '/pro/tenderYearManage/examine',
  SelectCount = '/pro/tenderYearManage/selectCount',
  GetListAll = '/pro/tenderYearManage/statistics',
  Export = '/pro/tenderYearManage/export',
}

export const selectPageList = (params?: any) =>
  defHttp.post({ url: Api.GetPageList, data: params });
export const addProject = (params?: any) =>
  defHttp.post({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const updateProject = (params?: any) =>
  defHttp.post({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const deleteProject = (params?: any) => defHttp.get({ url: Api.DeleteProject, params });

export const selectDetail = (params?: any) => defHttp.get({ url: Api.ProjectDetail, params });

export const handelExamine = (params?: any) => defHttp.get({ url: Api.Audit, params });
export const getCount = (params?: any) => defHttp.post({ url: Api.SelectCount, data: params });

export const selectListAll = (params?: any) => defHttp.post({ url: Api.GetListAll, data: params });
export const exportTender = (params?: any) =>
  defHttp.post(
    { url: Api.Export, data: params, responseType: 'blob' },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
export const downImport = (url: string) =>
  defHttp.get<any>(
    {
      url: url,
      headers: {
        'Content-Type': 'application/form-data;charset=UTF-8',
      },
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
