import { defHttp } from '@/utils/http/axios';

enum Api {
  GetPageList = '/pro/tenderYearPlan/page',
  AddProject = '/pro/tenderYearPlan/add',
  UpdateProject = '/pro/tenderYearPlan/edit',
  DeleteProject = '/pro/tenderYearPlan/del',
  ProjectDetail = '/pro/tenderYearPlan/details',
  Audit = '/pro/tenderYearPlan/examine',
  SelectCount = '/pro/tenderYearPlan/count',
  GetListAll = '/pro/tenderYearPlan/statistics',
  Export = '/pro/tenderYearPlan/export',
}

export const selectPageList = (params?: any) =>
  defHttp.post({ url: Api.GetPageList, data: params });
export const addProject = (params?: any) =>
  defHttp.post({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const updateProject = (params?: any) =>
  defHttp.post({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const deleteProject = (params?: any) =>
  defHttp.post({ url: Api.DeleteProject, data: params });

export const selectDetail = (params?: any) =>
  defHttp.post({
    url: Api.ProjectDetail,
    data: params,
  });

export const handelExamine = (params?: any) => defHttp.post({ url: Api.Audit, data: params });
export const getCount = (params?: any) => defHttp.post({ url: Api.SelectCount, data: params });

export const selectListAll = (params?: any) => defHttp.post({ url: Api.GetListAll, data: params });
export const exportTender = (params?: any) =>
  defHttp.post(
    { url: Api.Export, data: params, responseType: 'blob' },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
