import { BasicColumn, FormSchema } from '@/components/Table';

export interface Data {
  table: {
    items: any[];
    total: number;
  };
}
export const columns: (
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
)[] = [
  {
    title: '合同名称',
    dataIndex: 'contrcatName',
    width: 180,
  },
  {
    title: '项目名称',
    dataIndex: 'projectName',
    width: 180,
  },
  {
    title: '收款单位',
    dataIndex: 'collectingUnit',
    width: 200,
  },
  {
    title: '结算金额',
    dataIndex: 'investmentAount',
    width: 180,
  },
  {
    title: '合同额',
    dataIndex: 'contractAmount',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'contrcatName',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '搜索关键字',
    },
    colProps: { span: 4 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'projectName',
    label: '项目名称',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: 'XXXX项目',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
];

export function getBasicColumns(): BasicColumn[] {
  return [
    {
      title: '项目名称',
      dataIndex: 'projectName',
      width: 250,
      fixed: 'left',
      ellipsis: false,
    },
    {
      title: '合同名称',
      dataIndex: 'contrcatName',
      width: 200,
      fixed: 'left',
      ellipsis: false,
    },
    {
      title: '收款单位',
      dataIndex: 'collectingUnit',
      width: 200,
    },
    {
      title: '累计支付数',
      dataIndex: 'accumulatePayment',
      width: 180,
    },
    {
      title: '合同额',
      dataIndex: 'contractAmount',
      width: 180,
    },
  ];
}
