import { FormSchema, BasicColumn } from '@/components/Table';
export const formSchema: FormSchema[] = [
  {
    //bidding_method
    field: 'biddingMethod',
    component: 'Select',
    componentProps: {
      options: getRecentFiveYears(),
      placeholder: '请选择年份',
    },
    //选择事件

    colProps: { span: 10, offset: 13},
  },
];

function getRecentFiveYears(): Array<{ label: string, value: number }> {
  const currentYear = new Date().getFullYear();
  const years: Array<{ label: string, value: number }> = [];

  for (let i = 0; i <= 4; i++) {
    const year = currentYear - i;
    years.push({ label: year.toString(), value: year });
  }

  return years.reverse(); // 可选：反转数组使年份从最近到最远排序
}



