import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const biddingPlan: AppRouteModule = {
  path: '/biddingPlan',
  name: 'biddingPlan',
  component: LAYOUT,
  redirect: '/biddingPlan/index',
  meta: {
    hideChildrenInMenu: false,
    icon: 'mingcute:aiming-2-line',
    orderNo: 2,
    auth: '/www/dist/index.html#/biddingPlan/index',
    title: '招标管理',
  },
  children: [
    {
      path: 'index',
      name: 'plan',
      component: () => import('@/views/biddingPlan/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '季度招标计划填报',
        orderNo: 1,
      },
    },
    {
      path: 'biddingPlanData',
      name: 'planData',
      component: () => import('@/views/biddingPlan/biddingPlanData.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '季度招标计划统计',
        orderNo: 2,
      },
    },
    {
      path: 'situation',
      name: 'situation',
      component: () => import('@/views/biddingManagement/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '季度招标管理填报',
        orderNo: 5,
      },
    },
    {
      path: 'statisticsBidding',
      name: 'statisticsBidding',
      component: () => import('@/views/biddingManagement/statisticsBidding.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '季度招标管理统计',
        orderNo: 6,
      },
    },
    {
      path: 'situationEdit',
      name: 'situationEdit',
      component: () => import('@/views/biddingManagement/biddingManagementEdit.vue'),
      meta: {
        hideTab: true,
        hideMenu: true,
        hideBreadcrumb: true,
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '季度招标管理编辑',
        orderNo: 4,
      },
    },
    {
      path: 'edit',
      name: 'planEdit',
      component: () => import('@/views/biddingPlan/biddingPlanEdit.vue'),
      meta: {
        hideTab: true,
        hideMenu: true,
        hideBreadcrumb: true,
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '季度招标计划编辑',
        orderNo: 3,
      },
    },
    {
      path: 'tendeYearManageEdit',
      name: 'TendeYearManageEdit',
      component: () => import('@/views/tendeYearManage/edit.vue'),
      meta: {
        hideTab: true,
        hideMenu: true,
        hideBreadcrumb: true,
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '年度招标管理填报',
        orderNo: 5,
      },
    },
    {
      path: 'tendeYearManage',
      name: 'TendeYearManage',
      component: () => import('@/views/tendeYearManage/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '年度招标管理填报',
        orderNo: 5,
      },
    },
    {
      path: 'tendeYearManageSta',
      name: 'TendeYearManageSta',
      component: () => import('@/views/tendeYearManage/statistics.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '年度招标管理统计',
        orderNo: 6,
      },
    },
    {
      path: 'tendeYearPlanEdit',
      name: 'TendeYearPlanEdit',
      component: () => import('@/views/tenderYearPlan/edit.vue'),
      meta: {
        hideTab: true,
        hideMenu: true,
        hideBreadcrumb: true,
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '年度招标计划填报',
        orderNo: 6,
      },
    },
    {
      path: 'tendeYearPlan',
      name: 'TendeYearPlan',
      component: () => import('@/views/tenderYearPlan/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '年度招标计划填报',
        orderNo: 7,
      },
    },
    {
      path: 'tendeYearPlanSta',
      name: 'TendeYearMPlanSta',
      component: () => import('@/views/tenderYearPlan/statistics.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '年度招标计划统计',
        orderNo: 7,
      },
    },
  ],
};

export default biddingPlan;
