import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const changeSignature: AppRouteModule = {
  path: '/changeSignature',
  name: 'changeSignature',
  component: LAYOUT,
  redirect: '/changeSignature/index',
  meta: {
    hideChildrenInMenu: false,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 5,
    auth: '/www/dist/index.html#/changeSignature/index',
    title: '变更签证',
  },
  children: [
    {
      path: 'index',
      name: 'changeSignature',
      component: () => import('@/views/changeSignature/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/changeSignature/index',
        title: '变更签证填报',
        orderNo: 6,
      },
    },
    {
      path: 'statistic',
      name: 'changeSignatureStatistic',
      component: () => import('@/views/changeSignature/changeSignatureStatistic.vue'),
      meta: {
        auth: '/www/dist/index.html#/changeSignature/index',
        title: '变更签证统计',
        orderNo: 7,
      },
    },
    {
      path: 'edit',
      name: 'addChangeSignature',
      component: () => import('@/views/changeSignature/addChangeSignature.vue'),
      meta: {
        hideMenu: true,
        auth: '/www/dist/index.html#/changeSignature/index',
        title: '新建变更签证',
        orderNo: 8,
      },
    },
  ],
};

export default changeSignature;
