import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const dashboard: AppRouteModule = {
  path: '/dashboard',
  name: 'dashboard',
  component: LAYOUT,
  redirect: '/dashboard/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'ion:home-outline',
    orderNo: 0,
    auth: 'www/dist/index.html#/dashboard/index',
    title: '门户页',
  },
  children: [
    {
      path: 'index',
      name: 'dashboard',
      component: () => import('@/views/dashboard/analysis/index.vue'),
      meta: {
        affix: true,
        auth: 'www/dist/index.html#/dashboard/index',
        title: '门户页',
        orderNo: 0,
      },
    },
  ],
};

export default dashboard;
