import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

// @ts-ignore
const monthlyPlan: AppRouteModule = {
  path: '/monthlyPlan',
  name: 'monthlyPlan',
  component: LAYOUT,
  redirect: '/monthlyPlan/index',
  meta: {
    hideChildrenInMenu: false,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 11,
    auth: '/www/dist/index.html#/monthlyPlan/index',
    title: '月度工程资金计划',
  },
  children: [
    {
      path: 'index',
      name: 'monthlyPlan',
      component: () => import('@/views/monthlyPlan/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/monthlyPlan/index',
        title: '月度资金计划统计',
        orderNo: 11,
      },
    },
    {
      path: 'monthlyPlanEdit',
      name: 'monthlyPlanEdit',
      component: () => import('@/views/monthlyPlan/monthlyPlanEdit/monthlyPlanEdit.vue'),
      meta: {
        hideMenu: true,
        auth: '/www/dist/index.html#/monthlyPlan/index',
        title: '修改月度工程资金计划',
        orderNo: 8,
      },
    },
    {
      path: 'monthlyPlanAdd',
      name: 'monthlyPlanAdd',
      component: () => import('@/views/monthlyPlan/monthlyPlanAdd/monthlyPlanAdd.vue'),
      meta: {
        auth: '/www/dist/index.html#/monthlyPlan/index',
        title: '月度资金计划填报',
        orderNo: 8,
      },
    },
  ],
};

export default monthlyPlan;
