import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const dashboard: AppRouteModule = {
  path: '/project',
  name: 'Project',
  component: LAYOUT,
  redirect: '/project/project',
  meta: {
    hideChildrenInMenu: true,
    orderNo: 1,
    icon: 'eos-icons:project-outlined',
    auth: 'www/dist/index.html#/project/project',
    title: '项目库',
  },
  children: [
    {
      path: 'info',
      name: 'projectDetail',
      component: () => import('@/views/project/detail.vue'),
      meta: {
        auth: 'www/dist/index.html#/project/project',
        ignoreKeepAlive: true,
        title: '项目详情',
      },
    },
    {
      path: 'project',
      name: 'projectIndex',
      component: () => import('@/views/project/index.vue'),
      meta: {
        orderNo: 1,
        ignoreKeepAlive: true,
        auth: 'www/dist/index.html#/project/project',
        title: '项目库',
      },
    },
  ],
};

export default dashboard;
