import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const statement: AppRouteModule = {
  path: '/statement',
  name: 'statement',
  component: LAYOUT,
  redirect: '/statement/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 13,
    title: '报表中心',
    auth: '/www/dist/index.html#/statement/index',
  },
  children: [
    {
      path: 'index',
      name: 'statement',
      component: () => import('@/views/statement/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/statement/index',
        // affix: true,
        title: '报表中心',
        orderNo: 13,
      },
    },
  ],
};

export default statement;
