import { optionsListApi } from '@/api/demo/select';
import { FormProps, FormSchema, BasicColumn } from '@/components/Table';
import { VxeFormItemProps, VxeGridPropTypes } from '@/components/VxeTable';
import { ref } from 'vue';
import { Input } from 'ant-design-vue';

export function getBasicColumns(): BasicColumn[] {
  return [
    {
      title: '季度',
      dataIndex: 'quarter',
      width: 80,
    },
    {
      title: '数值(万元)',
      dataIndex: 'numericalValue',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      edit: true,
      editable: true,
      editRule: true,
      editComponent: 'InputNumber',
    },
  ];
}

export function basicColumnsDisabled(): BasicColumn[] {
  return [
    {
      title: '季度',
      dataIndex: 'quarter',
      width: 80,
    },
    {
      title: '数值(万元)',
      dataIndex: 'numericalValue',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      editComponent: 'InputNumber',
    },
  ];
}

export function getBasicColumnsTwo(): BasicColumn[] {
  return [
    {
      title: '季度',
      dataIndex: 'quarter',
      width: 80,
    },
    {
      title: '专项债拨款',
      dataIndex: 'specialFund',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      edit: true,
      editable: true,
      editRule: true,
      editComponent: 'InputNumber',
    },
    {
      title: '银行融资',
      dataIndex: 'bankFinancing',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      edit: true,
      editable: true,
      editRule: true,
      editComponent: 'InputNumber',
    },
    {
      title: '自有资金',
      dataIndex: 'ownFund',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      edit: true,
      editable: true,
      editRule: true,
      editComponent: 'InputNumber',
    },
  ];
}

export function basicColumnsTwoDisabled(): BasicColumn[] {
  return [
    {
      title: '季度',
      dataIndex: 'quarter',
      width: 80,
    },
    {
      title: '专项债拨款',
      dataIndex: 'specialFund',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      editComponent: 'InputNumber',
    },
    {
      title: '银行融资',
      dataIndex: 'bankFinancing',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      editComponent: 'InputNumber',
    },
    {
      title: '自有资金',
      dataIndex: 'ownFund',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      editComponent: 'InputNumber',
    },
  ];
}

export const formSchema: ({ colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { valueFormat: string; format: string; style: { width: string }; placeholder: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { options: ({ label: string; value: string } | { label: string; value: string } | { label: string; value: string })[] }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; icon: string; componentProps: { style: { width: string }; placeholder: string[] }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { options: ({ label: string; value: string } | { label: string; value: string } | { label: string; value: string })[] }; label: string; required: boolean })[] = [
  {
    field: 'projectName',
    label: '项目名称',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'constructionSite',
    label: '建设地点',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'totalInvestment',
    label: '立项总投资',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'planFunds',
    label: '2024年计划投资',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'attribute',
    label: '建设性质',
    required: true,
    component: 'Select',
    componentProps: {
      readonly: true,
      options: [
        { label: '新建', value: '0' },
        { label: '结转', value: '1' },
        { label: '缓建', value: '2' },
      ],
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'beginTime',
    label: '开工竣工时间:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'schedule',
    label: '2024年底预计形象进度:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'competentDepartment',
    label: '项目主管部门:',
    // required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'projectType',
    label: '项目类型:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'situationPlanLimit',
    label: '2023年资金执行情况-计划额:',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'actualAmountSituation',
    label: '2023年资金执行情况-实付额:',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'cumulativeActualLimit',
    label: '2023年底前累计实付额:',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'fundingGap',
    label: '2024资金缺口:',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    label: '备注',
    field: 'remark',
    // required: true,
    component: 'InputTextArea',
    componentProps: {
      maxlength: 100,
      showCount: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  // {
  //   field: 'isReserveProject',
  //   label: '是否为储备项目',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '是', value: '1' },
  //       { label: '否', value: '0' },
  //     ],
  //   },
  // },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '1' },
  //       { label: '停用', value: '0' },
  //     ],
  //   },
  // },
];
