import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { setRoleStatus } from '@/api/demo/system';
import { useMessage } from '@/hooks/web/useMessage';

type CheckedType = boolean | string | number;
export const columns: (
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
)[] = [
  {
    title: '年度',
    dataIndex: 'filingCycle',
    width: 180,
  },
  {
    title: '类型',
    dataIndex: 'planType',
    width: 180,
  },
  {
    title: '项目数量',
    dataIndex: 'totalProject',
    width: 200,
  },
  {
    title: '总投资',
    dataIndex: 'totalInvestment',
    width: 180,
  },
  {
    title: '合同总额合计',
    dataIndex: 'totalContract',
    width: 180,
  },
  {
    title: '三年滚动投资计划合计',
    dataIndex: 'totalRollingInvestment',
    width: 180,
  },
  {
    title: '公司名称',
    dataIndex: 'company',
    width: 180,
  },
  {
    title: '最新更新人',
    dataIndex: 'updateBy',
    width: 180,
  },
  {
    title: '最新更新时间',
    dataIndex: 'updateTime',
    width: 180,
  },
  {
    title: '审核状态',
    dataIndex: 'planResult',
    width: 180,
  },
  {
    title: '审核人',
    dataIndex: 'auditingBy',
    width: 180,
  },
  {
    title: '审核时间',
    dataIndex: 'auditingTime',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  // {
  //   field: 'projectName',
  //   label: '',
  //   component: 'Input',
  //   componentProps: {
  //     placeholder: '搜索关键字',
  //   },
  //   colProps: { span: 4 },
  // },
  {
    field: 'filingCycle',
    label: '',
    component: 'DatePicker',
    componentProps: {
      placeholder: '年度',
      picker: 'year',
      valueFormat: 'YYYY',
      format: 'YYYY',
      style: {
        width: '100%',
      },
    },
    colProps: { span: 4 },
  },
  {
    field: 'planType',
    label: '',
    component: 'Select',
    componentProps: {
      placeholder: '类型',
      options: [
        {
          label: '工程',
          value: '工程',
        },
        {
          label: '承建',
          value: '承建',
        },
      ],
    },
    colProps: { span: 4 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'projectName',
    label: '项目名称',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: 'XXXX项目',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
  {
    field: 'projectName',
    label: '建设地点',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: '华苑片区',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
  {
    field: 'projectName',
    label: '建设模式',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: '自建',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
  // {
  //   field: 'isReserveProject',
  //   label: '是否为储备项目',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '是', value: '1' },
  //       { label: '否', value: '0' },
  //     ],
  //   },
  // },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '1' },
  //       { label: '停用', value: '0' },
  //     ],
  //   },
  // },
];
