import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { setRoleStatus } from '@/api/demo/system';
import { useMessage } from '@/hooks/web/useMessage';

type CheckedType = boolean | string | number;

//主模块-年度投资列表页
export const columns: (
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
)[] = [
  {
    title: '序号',
    dataIndex: 'serialNumber', // 这个dataIndex仅作为标识，不对应实际数据字段
    width: 50, // 可以自定义宽度
    scopedSlots: { customRender: 'bodyCell' }, // 对应模板中的具名插槽
  },
  {
    title: '年度',
    dataIndex: 'year',
    width: 200,
  },
  // {
  //   title: '类型',
  //   dataIndex: 'type',
  //   width: 180,
  // },
  {
    title: '年计划投资(万元)',
    dataIndex: 'planinvestment',
    width: 180,
  },
  {
    title: '年资金计划额合计(万元)',
    dataIndex: 'totalplan',
    width: 180,
  },
  {
    title: '年资金缺口合计(万元)',
    dataIndex: 'gaptotal',
    width: 180,
  },
  {
    title: '公司名称',
    dataIndex: 'companyName',
    width: 180,
  },
  {
    title: '最新更新人',
    dataIndex: 'updateBy',
    width: 180,
  },
  {
    title: '最新更新时间',
    dataIndex: 'updateTime',
    width: 180,
  },
  {
    title: '审核状态',
    dataIndex: 'reviewStatus',
    width: 180,
  },
  {
    title: '审核人',
    dataIndex: 'revieweUser',
    width: 180,
  },
  {
    title: '审核时间',
    dataIndex: 'reviewTime',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'year',
    label: '',
    component: 'DatePicker',
    componentProps: {
      placeholder: '选择填报周期',
      picker: 'year',
      valueFormat: 'YYYY',
      format: 'YYYY',
      style: { width: '100%' },
    },
    colProps: { span: 4 },
  },
  // {
  //   field: 'type',
  //   label: '',
  //   component: 'Select',
  //   componentProps: {
  //     options: [
  //       { label: '工程', value: '1' },
  //       { label: '承建', value: '0' },
  //       { label: '储备', value: '2' },
  //     ],
  //     placeholder: '类型',
  //   },
  //   colProps: { span: 4 },
  // },
  {
    field: 'companyName',
    label: '',
    component: 'Select',
    componentProps: {
      options: [
        { label: '公司A', value: '0' },
        { label: '公司B', value: '1' },
        { label: '公司C', value: '2' },
      ],
      placeholder: '公司名称',
    },
    colProps: { span: 4 },
  },
];

export const formSchema: FormSchema[] = [
  // {
  //   field: 'projectName',
  //   label: '项目名称',
  //   required: true,
  //   component: 'Input',
  // },
  // {
  //   field: 'isReserveProject',
  //   label: '是否为储备项目',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '是', value: '1' },
  //       { label: '否', value: '0' },
  //     ],
  //   },
  // },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '1' },
  //       { label: '停用', value: '0' },
  //     ],
  //   },
  // },
  // {
  //   label: '建设模式',
  //   field: 'constructionMode',
  //   component: 'InputTextArea',
  // },
  // {
  //   label: '项目类型',
  //   field: 'projectType',
  //   required: true,
  //   component: 'Input',
  // },
  // {
  //   label: '项目概况',
  //   field: 'projectOverview',
  //   required: true,
  //   component: 'InputTextArea',
  // },
  // {
  //   label: '建设目的及项目功能',
  //   field: 'constructionPurpose',
  //   required: true,
  //   component: 'InputTextArea',
  // },
];
