import { FormSchema } from '@/components/Table';
import { uploadApi } from '@/api/sys/upload';
//主模块-合同管理列表页
export const formSchema: FormSchema[] = [
  {
    field: 'url',
    component: 'Upload',
    label: '上传附件',
    required: false,
    labelWidth: '140px',
    componentProps: {
      api: uploadApi,
      resultField: 'data.data.serverPath',
      accept: ['rar', 'zip', 'doc', 'docx', 'pdf'],
      multiple: false,
      maxSize: 200,
      maxNumber: 1,
      name: 'multipartFile',
    },
    colProps: {
      span: 24,
    },
  },
  {
    field: 'contractName',
    labelWidth: '140px',
    label: '合同名称',
    required: true,
    component: 'Input',
  },
  {
    label: '累计支付数',
    field: 'accumulatePayment',
    labelWidth: '140px',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '结算金额(万元)',
    field: 'investmentAmount',
    labelWidth: '140px',
    component: 'InputNumber',
  },
  {
    label: '收款单位',
    field: 'collectingUnit',
    labelWidth: '140px',
    required: true,
    component: 'Input',
  },
  {
    label: '合同额(万元)',
    field: 'contractAmount',
    labelWidth: '140px',
    required: true,
    component: 'InputNumber',
  },
  {
    label: '项目名称',
    labelWidth: '140px',
    field: 'projectId',
    required: true,
    component: 'Select',
  },
];
