// @ts-ignore

import { BasicColumn, FormSchema } from '@/components/Table';

export function getBasicColumns(): BasicColumn[] {
  return [
    {
      title: '年份',
      dataIndex: 'year',
      width: 80,
    },
    {
      title: '金额(万元)',
      dataIndex: 'amount',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      edit: true,
      editable: true,
      editRule: true,
      editComponent: 'InputNumber',
    },
  ];
}
export function basicColumnsDisabled(): BasicColumn[] {
  return [
    {
      title: '年份',
      dataIndex: 'year',
      width: 80,
    },
    {
      title: '金额(万元)',
      dataIndex: 'amount',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      editComponent: 'InputNumber',
    },
  ];
}
export function getformSchema(year, planType): FormSchema[] {
  return [
    {
      field: 'projectName',
      label: '项目名称',
      required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'constructionSite',
      label: '建设地点',
      required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'constructionMode',
      label: '建设模式',
      required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'projectType',
      label: '项目类型',
      required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'constructionScale',
      label: '建设规模',
      // required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'projectOverview',
      label: '项目概况:',
      // required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'fundingSource',
      label: '资金来源:',
      required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'implementingEntity',
      label: '实施主体:',
      // required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'projectOverview',
      labelWidth: '150px',
      label: '建设目的及项目功能',
      // required: true,
      component: 'Input',
      componentProps: {
        readonly: true,
        disabled: true,
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'implementationLevel',
      label: '实施级别',
      required: true,
      component: 'Select',
      componentProps: {
        options: [
          { label: '已经立项实施的跨年工程', value: 'A' },
          { label: '必须建设的项目', value: 'B' },
          { label: '可缓建项目', value: 'C' },
        ],
      },
      labelWidth: 400,
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'contract',
      label: '合同方式',
      required: planType === '承建',
      show: planType === '承建',
      component: 'Input',
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'totalInvestment',
      label: '总投资',
      show: planType !== '承建',
      required: planType !== '承建',
      component: 'InputNumber',
      componentProps: {
        addonAfter: '万元',
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'competentDepartment',
      label: '项目主管部门',
      show: planType !== '承建',
      required: planType !== '承建',
      component: 'Input',
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'contractAmount',
      label: '合同总额',
      show: planType === '承建',
      required: planType === '承建',
      component: 'InputNumber',
      componentProps: {
        addonAfter: '万元',
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'planCompleteOutputValue',
      label: year + '年计划完成产值',
      labelWidth: 140,
      show: planType === '承建',
      required: planType === '承建',
      component: 'InputNumber',
      componentProps: {
        addonAfter: '万元',
      },
      colProps: { span: 7, offset: 1 },
    },
    // {
    //   field: 'matchingFunds',
    //   label: `${year}` + '年财政预算匹配资金',
    //   required: planType === '承建',
    //   show: planType === '承建',
    //   component: 'InputNumber',
    //   componentProps: {
    //     addonAfter: '万元',
    //   },
    //   labelWidth: 400,
    //   colProps: { span: 7, offset: 1 },
    // },
    // {
    //   field: 'specialBondFunds',
    //   label: '其中专项债项目' + `${year}` + '年预计使用专项债资金',
    //   required: planType === '承建',
    //   show: planType === '承建',
    //   component: 'InputNumber',
    //   componentProps: {
    //     addonAfter: '万元',
    //   },
    //   labelWidth: 400,
    //   colProps: { span: 7, offset: 1 },
    // },
    // {
    //   field: 'planOutputValue',
    //   label: year + '年计划完成投资额',
    //   show: planType != '承建',
    //   required: planType != '承建',
    //   component: 'InputNumber',
    //   componentProps: {
    //     addonAfter: '万元',
    //   },
    //   labelWidth: 400,
    //   colProps: { span: 7, offset: 1 },
    // },
    {
      field: 'attribute',
      label: '建设性质',
      required: true,
      component: 'Select',
      componentProps: {
        options: [
          { label: '新建', value: '新建' },
          { label: '结转', value: '结转' },
          { label: '缓建', value: '缓建' },
        ],
      },
      colProps: { span: 7, offset: 1 },
    },
    {
      field: 'time',
      component: 'RangePicker',
      label: '开竣工时间',
      required: true,
      icon: 'healthicons:i-schedule-school-date-time-outline',
      colProps: { span: 7, offset: 1 },
      componentProps: {
        picker: 'month',
        placeholder: ['开始日期', '结束日期'],
        style: { width: '100%' },
        valueFormat: 'YYYY-MM',
        format: 'YYYY-MM',
      },
    },
    {
      field: 'schedule',
      label: `${year}` + '年底预计形象进度',
      required: true,
      component: 'Select',
      componentProps: {
        options: [
          { label: '未施工', value: '未施工' },
          { label: '施工前期', value: '施工前期' },
          { label: '施工中期', value: '施工中期' },
          { label: '施工后期', value: '施工后期' },
          { label: '完工', value: '完工' },
          { label: '竣工', value: '竣工' },
        ],
      },
      labelWidth: 400,
      colProps: { span: 7, offset: 1 },
    },
    {
      label: '备注',
      field: 'remarks',
      component: 'InputTextArea',
      componentProps: {
        maxlength: 100,
        showCount: true,
      },
      colProps: { span: 14, offset: 1 },
    },
    {
      field: 'plan',
      slot: 'plan',
      label: '三年滚动投资计划',
      labelWidth: 400,
      colProps: { span: 10, offset: 1 },
    },
    {
      field: 'planFunds',
      label: `${year}` + '年计划资金',
      required: true,
      component: 'InputNumber',
      componentProps: {
        addonAfter: '万元',
      },
      labelWidth: 400,
      colProps: { span: 7, offset: 1 },
    },
  ];
}
