import { optionsListApi } from '@/api/demo/select';
import { FormProps, FormSchema, BasicColumn } from '@/components/Table';
import { VxeFormItemProps, VxeGridPropTypes } from '@/components/VxeTable';
import { ref } from 'vue';
import { Input } from 'ant-design-vue';

export function getBasicColumns(): BasicColumn[] {
  return [
    {
      title: '年份',
      dataIndex: 'year',
      width: 80,
    },
    {
      title: '金额(万元)',
      dataIndex: 'amount',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      edit: true,
      editable: true,
      editRule: true,
      editComponent: 'InputNumber',
    },
  ];
}

export function basicColumnsDisabled(): BasicColumn[] {
  return [
    {
      title: '年份',
      dataIndex: 'year',
      width: 80,
    },
    {
      title: '金额(万元)',
      dataIndex: 'amount',
      width: 150,
      // sorter: true,
      // defaultHidden: true,
      editComponent: 'InputNumber',
    },
  ];
}

export const formSchema: ({ colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { readonly: boolean; style: { border: string } }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { valueFormat: string; format: string; style: { width: string }; placeholder: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { addonAfter: string }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { options: ({ label: string; value: string } | { label: string; value: string } | { label: string; value: string })[] }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; icon: string; componentProps: { style: { width: string }; placeholder: string[] }; label: string; required: boolean } | { colProps: { offset: number; span: number }; component: string; field: string; componentProps: { options: ({ label: string; value: string } | { label: string; value: string } | { label: string; value: string })[] }; label: string; required: boolean })[] = [
  {
    field: 'projectName',
    label: '项目名称',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'constructionSite',
    label: '建设地点',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'constructionMode',
    label: '建设模式',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'projectType',
    label: '项目类型',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'constructionScale',
    label: '建设规模',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'projectOverview',
    label: '项目概况:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'fundingSource',
    label: '资金来源:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'implementingEntity',
    label: '实施主体:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'projectOverview',
    label: '项目概况:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'filingCycle',
    label: '填报年度:',
    required: true,
    component: 'Input',
    componentProps: {
      readonly: true,
      // placeholder: '选择填报周期',
      // picker: 'year',
      // valueFormat: 'YYYY',
      // format: 'YYYY',
      style: {  width: '100%' },
      disabled: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'totalInvestment',
    label: '总投资',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'competentDepartment',
    label: '项目主管部门',
    required: true,
    component: 'Input',
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'planFunds',
    label: '2024年计划资金',
    required: true,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'attribute',
    label: '建设性质',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        { label: '新建', value: '0' },
        { label: '结转', value: '1' },
        { label: '缓建', value: '2' },
      ],
    },
    colProps: { span: 7, offset: 1 },
  },
  {
    field: 'time',
    component: 'RangePicker',
    label: '开竣工时间',
    required: true,
    icon: 'healthicons:i-schedule-school-date-time-outline',
    colProps: { span: 7, offset: 1 },
    componentProps: {
      placeholder: ['开始日期', '结束日期'],
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
  },
  {
    field: 'schedule',
    label: '2024年底预计形象进度',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        { label: 'A(已经立项实施的跨年工程)', value: '0' },
        { label: 'B(该年度必须建设的项目)', value: '1' },
        { label: 'C(该年度必须建设的项目)', value: '2' },
      ],
    },
    labelWidth: 400,
    colProps: { span: 7, offset: 1 },
  },
  {
    label: '备注',
    field: 'remarks',
    // required: true,
    component: 'InputTextArea',
    componentProps: {
      maxlength: 300,
      showCount: true,
    },
    colProps: { span: 7, offset: 1 },
  },
  // {
  //   field: 'isReserveProject',
  //   label: '是否为储备项目',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '是', value: '1' },
  //       { label: '否', value: '0' },
  //     ],
  //   },
  // },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '1' },
  //       { label: '停用', value: '0' },
  //     ],
  //   },
  // },
];
