import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { setRoleStatus } from '@/api/demo/system';
import { useMessage } from '@/hooks/web/useMessage';

type CheckedType = boolean | string | number;
export const columns: (
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
)[] = [
  {
    title: '填报周期',
    dataIndex: 'projectName',
    width: 200,
  },
  {
    title: '项目名称',
    dataIndex: 'implementingEntity',
    width: 180,
  },
  {
    title: '建设地点',
    dataIndex: 'constructionMode',
    width: 180,
  },
  {
    title: '项目概况',
    dataIndex: 'projectType',
    width: 180,
  },
  {
    title: '建设规模',
    dataIndex: 'fundingSource',
    width: 180,
  },
  {
    title: '建设目的及项目功能',
    dataIndex: 'constructionPurpose',
    width: 180,
  },
  {
    title: '建设模式',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '资金来源',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '项目类型',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '总投资',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '三年滚动投资计划',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '该年财政预算匹配资金',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '其中专项债项目该年预计使用专项债资金',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '该年计划资金',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '建设性质',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '开工竣工时间',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '该年底预计形象进度',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '实施主体',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '项目主管部门',
    dataIndex: 'constructionScale',
    width: 180,
  },
  {
    title: '备注',
    dataIndex: 'constructionScale',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'data',
    label: '',
    component: 'DatePicker',
    componentProps: {
      placeholder: '选择填报周期',
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
    colProps: { span: 4 },
  },
  {
    field: 'projectName',
    label: '',
    component: 'Select',
    componentProps: {
      options: [
        { label: '公司名称1', value: '1' },
        { label: '公司名称2', value: '0' },
      ],
      placeholder: '公司名称',
    },
    colProps: { span: 4 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'projectName',
    label: '项目名称',
    required: true,
    component: 'Input',
  },
  {
    field: 'isReserveProject',
    label: '是否为储备项目',
    component: 'RadioButtonGroup',
    defaultValue: '0',
    componentProps: {
      options: [
        { label: '是', value: '1' },
        { label: '否', value: '0' },
      ],
    },
  },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '1' },
  //       { label: '停用', value: '0' },
  //     ],
  //   },
  // },
  {
    label: '建设模式',
    field: 'constructionMode',
    component: 'InputTextArea',
  },
  {
    label: '项目类型',
    field: 'projectType',
    required: true,
    component: 'Input',
  },
  {
    label: '项目概况',
    field: 'projectOverview',
    required: true,
    component: 'InputTextArea',
  },
  {
    label: '建设目的及项目功能',
    field: 'constructionPurpose',
    required: true,
    component: 'InputTextArea',
  },
];

export const tabList = [
  {
    key: '1',
    tab: '投资计划',
    component: 'InvestmentPlan',
  },
  {
    key: '2',
    tab: '计划完成情况',
    component: 'performance',
  },
  {
    key: '3',
    tab: '年度资金计划',
    component: 'annualPlan',
  },
  {
    key: '4',
    tab: '月度资金计划',
    component: 'monthlyPlan',
  },
  {
    key: '5',
    tab: '已竣工验收项目陈欠资金计划',
    component: 'completed',
  },
  {
    key: '6',
    tab: '招标计划',
    component: 'biddingPlan',
  },
  {
    key: '7',
    tab: '招标管理',
    component: 'biddingManagement',
  },
  {
    key: '8',
    tab: '结算管理',
    component: 'settlementManagement',
  },
  {
    key: '9',
    tab: '变更签证管理',
    component: 'changeSignature',
  },
  {
    key: '10',
    tab: '安全隐患管理',
    component: 'potentialSafety',
  },
  {
    key: '11',
    tab: '安全教育培训',
    component: 'safetyEducation',
  },
];
