import { FormSchema, BasicColumn } from '@/components/Table';

//安全教育管理详情抽屉
export const formSchema: FormSchema[] = [
  {
    label: '填报周期',
    field: 'fillingPeriod',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训时间',
    field: 'trainingTime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训主题',
    field: 'trainingTheme',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训类型',
    field: 'trainingType',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训形式',
    field: 'trainingFormat',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '计划会议',
    field: 'trainingMeet',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训人员',
    field: 'trainers',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '学识(合计)',
    field: 'knowledge',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '人数',
    field: 'numberOfPeople',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '备注',
    field: 'remark',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
];
//合同管理详情抽屉
export const contractDrawer: FormSchema[] = [
  {
    label: '合同名称',
    field: 'contrcatName',
    labelWidth: '140px',
    required: true,
    component: 'Input',
  },
  {
    label: '项目名称',
    field: 'projectName',
    labelWidth: '140px',
    required: true,
    component: 'Input',
  },
  {
    label: '结算金额',
    field: 'investmentAmount',
    labelWidth: '140px',
    componentProps: {
      addonAfter: '万元',
    },
    required: true,
    component: 'Input',
  },
  {
    label: '收款单位',
    field: 'collectingUnit',
    labelWidth: '140px',
    required: true,
    component: 'Input',
  },
  {
    label: '合同额',
    field: 'contractAmount',
    labelWidth: '140px',
    required: true,
    componentProps: {
      addonAfter: '万元',
    },
    component: 'Input',
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'projecName',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '输入搜索关键词',
    },
    colProps: { span: 4 },
  },
  {
    field: 'constructionMode',
    component: 'RadioButtonGroup',
    colProps: {
      span: 6,
    },
    componentProps: {
      options: [
        {
          label: '全部项目',
          value: undefined,
        },
        {
          label: '自建',
          value: '自建',
        },
        {
          label: '委托建设',
          value: '委托建设',
        },
        {
          label: '代建',
          value: '代建',
        },
        {
          label: '承建',
          value: '承建',
        },
      ],
    },
  },
  {
    field: 'isReserveProject',
    component: 'Checkbox',
    colProps: {
      span: 2,
    },
    renderComponentContent: '储备项目',
  },
  {
    field: 'ImplementingEntity',
    label: '',
    component: 'Select',
    componentProps: {
      placeholder: '实施主体',
      options: [
        {
          label: '了解产品',
          value: '了解产品',
          key: '了解产品',
        },
        {
          label: '正在跟进',
          value: '正在跟进',
          key: '正在跟进',
        },
        {
          label: '正在试用',
          value: '正在试用',
          key: '正在试用',
        },
        {
          label: '准备购买',
          value: '准备购买',
          key: '准备购买',
        },
        {
          label: '准备付款',
          value: '准备付款',
          key: '准备付款',
        },
        {
          label: '已经购买',
          value: '已经购买',
          key: '已经购买',
        },
        {
          label: '暂时闲置',
          value: '暂时闲置',
          key: '暂时闲置',
        },
      ],
    },
    colProps: { span: 3 },
  },
  {
    field: 'projectType',
    label: '',
    component: 'Select',
    componentProps: {
      placeholder: '项目类型',
      options: [
        {
          label: '公共设施配套类',
          value: '公共设施配套类',
          key: '公共设施配套类',
        },
        {
          label: '基础设施类',
          value: '基础设施类',
          key: '基础设施类',
        },
        {
          label: '产业载体类',
          value: '产业载体类',
          key: '产业载体类',
        },
        {
          label: '房地产类',
          value: '房地产类',
          key: '房地产类',
        },
        {
          label: '存量盘活类',
          value: '存量盘活类',
          key: '存量盘活类',
        },
        {
          label: '其他类（零星工程)',
          value: '其他类（零星工程)',
          key: '其他类（零星工程)',
        },
      ],
    },
    colProps: { span: 3 },
  },
];

export const columns: BasicColumn[] = [
  {
    title: '基本信息',
    dataIndex: 'projectName',
    width: 180,
  },
  {
    title: '实施主体',
    dataIndex: 'implementingEntity',
    width: 180,
  },
  {
    title: '建设模式',
    dataIndex: 'constructionMode',
    width: 200,
  },
  {
    title: '建设地点',
    dataIndex: 'constructionSite',
    width: 180,
  },
  {
    title: '项目类型',
    dataIndex: 'projectType',
    width: 180,
  },
  {
    title: '资金来源',
    dataIndex: 'fundingSource',
    width: 180,
  },
  {
    title: '建设目的及项目功能',
    dataIndex: 'constructionPurpose',
    width: 180,
  },
  {
    title: '建设规模',
    dataIndex: 'constructionScale',
    width: 180,
  },
];
export const tabList = [
  {
    key: '1',
    tab: '投资计划',
    component: 'InvestmentPlan',
  },
  {
    key: '2',
    tab: '计划完成情况',
    component: 'performance',
  },
  {
    key: '3',
    tab: '年度资金计划',
    component: 'annualPlan',
  },
  {
    key: '4',
    tab: '月度资金计划',
    component: 'monthlyPlan',
  },
  {
    key: '5',
    tab: '已竣工验收项目陈欠资金计划',
    component: 'completed',
  },
  {
    key: '6',
    tab: '招标计划',
    component: 'biddingPlan',
  },
  {
    key: '7',
    tab: '招标管理',
    component: 'biddingManagement',
  },
  {
    key: '8',
    tab: '结算管理',
    component: 'settlementManagement',
  },
  {
    key: '9',
    tab: '变更签证管理',
    component: 'changeSignature',
  },
  {
    key: '10',
    tab: '安全隐患管理',
    component: 'potentialSafety',
  },
  {
    key: '11',
    tab: '安全教育培训',
    component: 'safetyEducation',
  },
  {
    key: '12',
    tab: '合同管理',
    component: 'contract',
  },
  {
    key: '13',
    tab: '附件记录',
    component: 'annex',
  },
  {
    key: '14',
    tab: '更新记录',
    component: 'updateRecords',
  },
];
export const searchExportFormSchema: FormSchema[] = [
  {
    field: 'fillingPeriod',
    label: '填报周期',
    component: 'DatePicker',
    componentProps: {
      placeholder: '选择填报周期',
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    field: 'trainingTime',
    label: '培训时间',
    component: 'DatePicker',
    componentProps: {
      placeholder: '选择培训时间',
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    label: '培训主题',
    field: 'trainingTheme',
    component: 'Input',
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    label: '培训类型',
    field: 'trainingType',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '类型一',
          value: '类型一',
        },
        {
          label: '类型二',
          value: '类型二',
        },
      ],
    },
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    label: '培训形式',
    field: 'trainingFormat',
    component: 'Input',
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    field: 'trainingMeet',
    label: '培训会议',
    component: 'Input',
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    field: 'trainers',
    label: '培训人员',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '人员一',
          value: '人员一',
        },
        {
          label: '人员二',
          value: '人员二',
        },
      ],
    },
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    label: '学识(合计)',
    field: 'knowledge',
    component: 'Input',
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    label: '人数(人)',
    field: 'numberOfPeople',
    component: 'Input',
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
  {
    label: '备注',
    field: 'remark',
    component: 'Input',
    colProps: {
      xl: 8,
      xxl: 4,
    },
  },
];
